Browse Source

some more or **less** usefull aditions

L3D 6 months ago
parent
commit
97f4e4d8a3
Signed by: L3D <l3d@see-base.de> GPG Key ID: CD08445BFF4313D1

+ 10
- 0
files/home_environment/bash.bashrc View File

@@ -0,0 +1,10 @@
1
+#
2
+# /etc/bash.bashrc
3
+# Verwaltet von ansible
4
+#
5
+PS1="\[\e]0;\u@\H: \w\a\]\[\033[01;32m\]\u\[\033[01;36m\]@\[\033[01;32m\]\h\[\033[01;34m\] <\A> \[\033[01;35m\] \j \[\033[01;36m\] \w \[\033[01;33m\]\n\$\[\033[01;00m\] "
6
+
7
+alias ll='ls -la'
8
+alias l='ls -la'
9
+
10
+

+ 89
- 0
files/home_environment/bashrc View File

@@ -0,0 +1,89 @@
1
+# ~/.bashrc: executed by bash(1) for non-login shells.
2
+# Verwaltet von ansible
3
+#
4
+                                                                                                                                                                   
5
+# If not running interactively, don't do anything                                                                                                                  
6
+case $- in                                                                                                                                                         
7
+    *i*) ;;
8
+      *) return;;
9
+esac
10
+
11
+PS1="\[\e]0;\u@\h: \w\a\]\[\033[01;32m\]\u\[\033[01;36m\]@\[\033[01;32m\]\H\[\033[01;34m\] <\A> \[\033[01;35m\] \j \[\033[01;36m\] \w \[\033[01;33m\]\n\$\[\033[01;00m\] "
12
+
13
+# don't put duplicate lines or lines starting with space in the history.
14
+# See bash(1) for more options
15
+HISTCONTROL=ignoreboth
16
+
17
+# append to the history file, don't overwrite it
18
+shopt -s histappend
19
+
20
+# for setting history length see HISTSIZE and HISTFILESIZE in bash(1)
21
+HISTSIZE=4000
22
+HISTFILESIZE=10000
23
+
24
+# check the window size after each command and, if necessary,
25
+# update the values of LINES and COLUMNS.
26
+shopt -s checkwinsize
27
+
28
+# If set, the pattern "**" used in a pathname expansion context will
29
+# match all files and zero or more directories and subdirectories.
30
+#shopt -s globstar
31
+
32
+# make less more friendly for non-text input files, see lesspipe(1)
33
+#[ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)"
34
+
35
+# set variable identifying the chroot you work in (used in the prompt below)
36
+if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
37
+    debian_chroot=$(cat /etc/debian_chroot)
38
+fi
39
+
40
+
41
+# If this is an xterm set the title to user@host:dir
42
+case "$TERM" in
43
+xterm*|rxvt*)
44
+    PS1="\[\e]0;${debian_chroot:+($debian_chroot)}\u@\h: \w\a\]$PS1"
45
+    ;;
46
+*)
47
+    ;;
48
+esac
49
+
50
+# enable color support of ls and also add handy aliases
51
+if [ -x /usr/bin/dircolors ]; then
52
+    test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
53
+    alias ls='ls --color=auto'
54
+    alias dir='dir --color=auto'
55
+    alias vdir='vdir --color=auto'
56
+
57
+    alias grep='grep --color=auto'
58
+    alias fgrep='fgrep --color=auto'
59
+    alias egrep='egrep --color=auto'
60
+fi
61
+
62
+# colored GCC warnings and errors
63
+export GCC_COLORS='error=01;31:warning=01;35:note=01;36:caret=01;32:locus=01:quote=01'
64
+
65
+# some more ls aliases
66
+alias ll='ls -la'
67
+alias la='ls -A'
68
+alias l='ls -CF'
69
+
70
+# Alias definitions.
71
+# You may want to put all your additions into a separate file like
72
+# ~/.bash_aliases, instead of adding them here directly.
73
+# See /usr/share/doc/bash-doc/examples in the bash-doc package.
74
+
75
+if [ -f ~/.bash_aliases ]; then
76
+    . ~/.bash_aliases
77
+fi
78
+
79
+# enable programmable completion features (you don't need to enable
80
+# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
81
+# sources /etc/bash.bashrc).
82
+if ! shopt -oq posix; then
83
+  if [ -f /usr/share/bash-completion/bash_completion ]; then
84
+    . /usr/share/bash-completion/bash_completion
85
+  elif [ -f /etc/bash_completion ]; then
86
+    . /etc/bash_completion
87
+  fi
88
+fi
89
+

+ 26
- 0
files/home_environment/motd.sh View File

@@ -0,0 +1,26 @@
1
+#!/bin/sh
2
+hostname=$1
3
+echo "\033[0;31m
4
+                                                   ▄▄▄▄▄▄▄▄
5
+                                              ▄▄█████▀▀▀▀█████▄▄
6
+                                           ▄████▀    ⣀⣀⣀    ▀████▄
7
+                               ⢀⣀⠤⠤⠤⠤⢄⡀ ▄██▀  ⢀⠤⠒⠊⠉   ⠉⠉⠒⠢⣀  ▀███▄
8
+                             ⡠⠒⠉       ▄██▀⢄ ⡠⠊             ⠈⠢⡀  ███
9
+                           ⢠⠊         ███  ⢀⣵⡀                ⠈⢄  ▀██
10
+                          ⢠⠃         ███  ⡰⠁ ⠑⡀                 ⢣  ▀██
11
+\033[1;34m          ⣠⣄⡀  \033[0;31m           ⡇         ▄██▀ ⢀⠇   ⢱                  ⢣  ███
12
+\033[1;34m          ⠙⢿⣿⣿⣦⣤⣄⡀    \033[0;31m   ⢸          ███  ⡎     ⡇                 ⠈⡆ ███
13
+\033[1;34m            ⠙⠛⠿⠿⣿⣿⣿⣿⣿⣶⣤⣀⡀\033[0;31m⠈⡆         ███  ⡇     ⡇                  ⡇ ███
14
+\033[1;34m                  ⠉⠉⠙⠿⣿⣿⣿⣿⣆    \033[0;31m      ██  ⠸⡀   ⡜                  ⡘  ███
15
+\033[1;34m                      ⠸⣿⣿⣿⣿⣿⣆⡀ \033[0;31m      ▀██  ⠣⡀ ⡜                  ⡘  ▄██▀
16
+\033[1;34m      ⣀⡈⠙⠛⣦⣤⣤⣀         ⠈⠻⣿⣿⣿⣿⣿⣿⣿⣶⣤⣄⣀ \033[0;31m ██▄\033[1;34m⢿⣿⣿⣾⣦⣤⣶⣶⣦⡀       \033[0;31m     ⡌  \033[0;31m▄██▀
17
+\033[1;34m     ⠛⠿⣿⣿⣿⣿⣿⣿⠛⠛⠿⣿⡷        ⠻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣆\033[0;31m▀█▄\033[1;34m⠙⢿⣿⣿⣿⣿⣿⣿⣿⣦⡀     \033[0;31m   ⡠⠊  \033[0;31m▄██▀
18
+\033[1;34m          ⢈⣿⣿⣿⣶⣶⣶⣶⣿⣇⣀⡠⠤⠒⠒⢶⣶⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣦⡀\033[0;31m██▄\033[1;34m⠙⢿⣿⣿⣿⣿⣿⣿⣿⣄⡀  ⣠⣤⡊⠁ \033[0;31m ▄██▀
19
+\033[1;34m         ⣴⣿⠿⠛⠉              ⠈⠙⠛⠛⠿⠿⣿⣿⣿⣿⣿⣿⣿⣦⡀\033[0;31m▀██▄\033[1;34m⠙⠛⠻⠿⣿⣿⣿⣿⣿⡿⠿⠛⠋⠁\033[0;31m▄██▀\033[1;34m⣠ ⣠⣤⣄
20
+\033[1;34m      ⢀⣴⡿⠃                         ⠙⠛⠿⣿⣿⣿⣿⣿⣦⣄\033[0;31m▀████▄▄▄▄▄▄▄███▀\033[1;34m ⣠⣾⣿⣿⣿⣿⣿⣿⣿⣦⡀
21
+\033[1;34m   ⣀⣀⣴⡿⠃     \033[0;36m $hostname\033[1;34m           ⠈⠉⠙⣿⣿⣿⣿⣶⣤⣄⣀⣀\033[0;31m▀▀▀\033[1;34m ⣀⣀⣠⣤⣾⣿⣿⣿⣿⣿⣿⣿⡿⠛⠛⠉
22
+\033[1;34m  ⠉⠙⠋                                      ⠻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⠛⣿⠃⠉
23
+\033[1;34m                                             ⠈⠻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⠛⠿⠿⠿⠋
24
+\033[1;34m                                                ⠈⠻⠿⣿⣿⣿⣿⣿⣿⠏
25
+\033[1;34m                                                     ⠙⠛⠁
26
+" > /etc/motd

+ 6
- 0
files/home_environment/sudoers View File

@@ -0,0 +1,6 @@
1
+# Superrechte für die Gruppe Admins:
2
+# 
3
+# Verwaltet von ansbile
4
+#
5
+%admins ALL=NOPASSWD: ALL
6
+ 

+ 9
- 0
files/home_environment/vimrc View File

@@ -0,0 +1,9 @@
1
+" Von Ansible Verwaltet!
2
+set expandtab
3
+set tabstop=4
4
+set shiftwidth=4
5
+set fileencoding=utf-8
6
+set encoding=utf-8
7
+colorscheme elflord
8
+syntax on
9
+

+ 0
- 1
tasks/main.yml View File

@@ -1,5 +1,4 @@
1 1
 ---
2
-
3 2
 - name: Create .ssh directory for root
4 3
   file:
5 4
     path: '/root/.ssh'